function GameScreen:InitScreen()
    self:LoadScreen()
    
    self.disable = false;
    --clApplication.game_pause = true;
    --CurrentScreen:PauseScreen()
    
    self:FadeOut();
end

function GameScreen:OnClick(item_name)
    if(self.disable) then return end
    
    if("no" == item_name)then
        clApplication.game_pause = false;
        CurrentScreen:UnPauseScreen()
        SetState("GLOBAL", "help", "0")
        SoundPlay("sound/interface/button.ogg")
        self.disable = true;
        self:FadeIn(0.5);
        if(self.end_fun) then self:end_fun() end
        
        DelayedExec(0.7, function() 
            clScreenManager:remove_screen(self); 
        end)
    elseif("yes" == item_name)then  
        --clApplication.game_pause = false;
        --CurrentScreen:UnPauseScreen()
        SetState("GLOBAL", "help", "1")
        SoundPlay("sound/interface/button.ogg")
        self.disable = true;
        self:FadeIn(0.5);
        if(self.end_fun) then self:end_fun() end
        
        DelayedExec(0.7, function() 
            clScreenManager:remove_screen(self); 
        end)
    end
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "quit_back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("quit_back_trigger", 0.85)
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "quit", "graphics/interface/menu/interactive_help", 267, 456);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "no", "graphics/interface/menu/no", 284, 728);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "yes", "graphics/interface/menu/yes", 805, 727);
end
